Assets
Rank accounts by asset trade activity
Path Parameters
asset*string
native or URL-encoded CODE:ISSUER.
Query Parameters
min_ledger?integer
Inclusive minimum ledger sequence.
Range
1 <= valuemax_ledger?integer
Inclusive maximum ledger sequence.
Range
1 <= valuestart_time?string
Inclusive UTC timestamp ending in Z.
Format
date-timeend_time?string
Inclusive UTC timestamp ending in Z.
Format
date-timelimit?integer
Maximum rows returned.
Range
1 <= value <= 200Default
100after?string
Opaque cursor bound to this selection and source-ledger window.
Length
length <= 2048order?string
Default
"desc"Value in
- "asc"
- "desc"
metric?string
Default
"volume"Value in
- "bought"
- "sold"
- "volume"
- "transactions"
counter_asset?string
Exact native or CODE:ISSUER counter asset.
account?string
Optional checksum-valid G or C address.
Match
^[GC][A-Z2-7]{55}$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/assets/native/rankings"{ "asset": "string", "data": [ { "account_id": "string", "asset_volume": "string", "counter_volume": "string", "trade_count": "string", "operation_count": "string", "transaction_count": "string", "first_ledger": "string", "last_ledger": "string", "score": "string" } ], "limit": 1, "nextCursor": "string", "generatedAt": "2019-08-24T14:15:22Z", "coverage": { "completedRanges": [ { "firstLedger": "2", "lastLedger": "63489999" }, { "firstLedger": "63490304", "lastLedger": "63490367" } ], "contiguousFirstLedger": "2", "contiguousLastLedger": "63489999", "contiguousLedgerCount": "63489998", "supplementalLedgerCount": "64", "totalLedgerCount": "63490062", "nextLedger": "63490000", "minimumLedger": "2", "maximumLedger": "63490367", "gapCount": 1 }, "coverageStatus": "complete", "amountPrecision": "source-float64", "marketTypes": [ "classic_orderbook" ], "semantics": "string"}